#ifndef DRMFILE_P_H
#define DRMFILE_P_H

#include  <qglobal.h>
class DRMFile;

class DRMFilePrivate
{
public:
    explicit DRMFilePrivate();
    virtual ~DRMFilePrivate();

public:
    int open(const QString & fileName);
    int read(char* data, int length);
    void close();
    int size();
#ifdef SYMBIAN_ENABLE_64_BIT_FILE_SERVER_API
    qint64 size64();
#endif
    bool isDRMError(int error);

};

#endif // DRMFILE_P_H
